using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATRefresh")]
public partial class Atrefresh
{
    [Key]
    [StringLength(32)]
    public string Queue { get; set; } = null!;

    [Column(TypeName = "datetime")]
    public DateTime Updated { get; set; }

    [ForeignKey("Queue")]
    [InverseProperty("Atrefresh")]
    public virtual Atqueue QueueNavigation { get; set; } = null!;
}
